from __future__ import absolute_import, print_function, unicode_literals

import os

from codecs import open
from setuptools import setup, find_packages


__dirname__ = os.path.dirname(os.path.abspath(__file__))


__version__ = None
with open(os.path.join(__dirname__, 'config_installer', 'version.py')) as f:
    exec(f.read())


with open(os.path.join(__dirname__, 'README.rst'), encoding='UTF-8') as f:
    long_description = f.read()


setup(
    name='config-installer',
    version=__version__,
    description='Configuration installer',
    long_description=long_description,
    author='Mathias Stelzer',
    author_email='knoppo@rolln.de',
    url='https://rolln.de/knoppo/config_installer',
    keywords='config configparser installer root user etc xdg',
    license='GNU GPLv3+',
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False
)
